Zilfu
API ReferenceScheduled Comment

Attach a follow-up comment to an existing post. If the post has already published, the comment is armed immediately against its remote id

POST
/spaces/{space}/posts/{post}/comment
AuthorizationBearer <token>

In: header

Path Parameters

space*integer

The space ID

post*integer

The post ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://zilfu.app/api/spaces/0/posts/0/comment" \  -H "Content-Type: application/json" \  -d '{    "content": "string",    "delay_minutes": 1  }'
{
  "data": {
    "id": 0,
    "content": "string",
    "status": 0,
    "delay_minutes": 0,
    "scheduled_at": "2019-08-24T14:15:22Z",
    "published_at": "2019-08-24T14:15:22Z",
    "metadata": [
      null
    ],
    "post_id": 0,
    "account_id": 0,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}